function init(hero) {
    hero.setName("Tony Stark");
    hero.setTier(1);
    hero.hide();
    
    hero.setHelmet("Glasses");
    
    hero.addPowers("legacyheroes:friday");
    
    hero.addKeyBind("SPELL_MENU", "AI Weapons Menu", 1);
    hero.addKeyBind("INVISIBILITY", "Illusion Cloaking", 2);
    hero.addKeyBind("FRIDAY", "Activate F.R.I.D.A.Y.", 3);
    
    hero.setKeyBindEnabled(isKeyBindEnabled);
    hero.setTierOverride(getTierOverride);
    hero.setModifierEnabled(isModifierEnabled);
}

function getTierOverride(entity) {
    return 0;
}

function isModifierEnabled(entity, modifier) {
    if (modifier.name() == "fiskheroes:spellcasting") {
        return (entity.getData("legacyheroes:dyn/friday"));
    }
    else if (modifier.name() == "fiskheroes:invisibility") {
        return (entity.getData("legacyheroes:dyn/friday"));
    }
    return true;
}

function isKeyBindEnabled(entity, keyBind) {
    
    switch (keyBind) {
    case "SPELL_MENU":
        return (entity.getData("legacyheroes:dyn/friday") == 1);
    case "INVISIBILITY":
        return (entity.getData("legacyheroes:dyn/friday") == 1);
    default:
        return true;
    }    
}