//Stuff

function init(hero) {
    hero.setName("The Negative Speed Force");
    hero.setTier(3);
    
    hero.setChestplate("Abilities");
    
    hero.addPowers("legacyheroes:negative_speed_force");
    hero.addAttribute("PUNCH_DAMAGE", 4.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 4.0, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 5.0, 0);

    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);

    hero.setDamageProfile(getDamageProfile);
    hero.addDamageProfile("PUNCH", {"types": {"BLUNT": 1.0},"properties": {"HIT_COOLDOWN": 5}});
}

function getDamageProfile(entity) {
    return entity.getData("fiskheroes:speeding") && entity.getData("fiskheroes:speed") > 3 ? "PUNCH" : null;
}