function init(hero) {
    hero.setName("Trajectory");
    hero.setTier(1);
    
    hero.setChestplate("Velocity-9 Serum");
    
    hero.addPowers("fiskheroes:velocity_nine");
    hero.addAttribute("PUNCH_DAMAGE", 3.5, 0);
    hero.addAttribute("JUMP_HEIGHT", 1.0, 0);
    hero.addAttribute("FALL_RESISTANCE", 3.5, 0);
    hero.addAttribute("BASE_SPEED_LEVELS", 6.0, 0);
    
    hero.addKeyBind("SUPER_SPEED", "key.superSpeed", 1);
    hero.addKeyBind("SLOW_MOTION", "key.slowMotion", 2);
    
    hero.setModifierEnabled(isModifierEnabled);
    
    hero.setDamageProfile(getDamageProfile);
    hero.addDamageProfile("SPEED_PUNCH", {
        "types": {
            "BLUNT": 0.9
        },
        "properties": {
            "HIT_COOLDOWN": 7
        }
    });
}

function getDamageProfile(entity) {
    return entity.getData("fiskheroes:speeding") ? "SPEED_PUNCH" : null;
}

function isModifierEnabled(entity, modifier) {
    return modifier.name() != "fiskheroes:speed_disintegration" || entity.getData("fiskheroes:speeding") && entity.getData("fiskheroes:speed") > 4;
}